## ubuntu-ui-toolkit 0.1.46+14.04.20140408.1

=== .bazaar/Makefile ===
install:
	mkdir -p ~/.bazaar/plugins
	cp plugins/* ~/.bazaar/plugins

## ubuntu-ui-toolkit 0.1.43

=== debian/changelog ===
ubuntu-ui-toolkit (0.1.43) raring; urgency=low

  * Fix for text inputs staying disabled after being re-enabled. The previous 
    workaround for removing input panel was blocking re-enabling a 
    previously enabled input. (LP: #1164634)
  * Fixing disabled text input delegate background color theming when userValue
    is set to TextField or TextArea color property. (LP: #1169601)
  * Workaround for TextArea and TextField removing OSK when active focus is 
    transferred from one instance to another using focus property (LP: #1163371)
  * Fix for TextArea Enter/Return keys being stolen when embedded in 
    ListItems.Empty. (LP: #1166840)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 18 Apr 2013 10:18:52 -0400

ubuntu-ui-toolkit (0.1.42) raring; urgency=low

  [ Loïc Minier ]
  * Drop ubuntu-sdk package; now generated from sdk ubuntu-touch seed in
    ubuntu-touch-meta package.

  [ Timo Jyrinki ]
  * Sync with raring packaging, separate meta also in the PPA again
  * New upstream snapshot
    - Update documentation html styles
    - Fix the clamping of sheet width on narrow screens.
    - Added "make license" target
    - Added online and offline API documentation configurations, both with
      Ubuntu styling.

  [ Tim Peeters ]
  * Rewrite of theming engine. See CHANGES for details and deprecated APIs.

 -- Tim Peeters <tim.peeters@canonical.com>  Fri, 12 Apr 2013 13:58:19 +0200

ubuntu-ui-toolkit (0.1.41) raring; urgency=low

  * Update documentation html styles
  * Automatic license checking for source files
  * Fix clamping bug for sheets on narrow screens 

 -- Tim Peeters <tim.peeters@canonical.com>  Wed, 10 Apr 2013 19:16:52 +0200

ubuntu-ui-toolkit (0.1.40) raring; urgency=low

  * Improve header and toolbar documentation for MainView/Page/PageStack/Tabs.
  * Fix bug in header (hide it when the header is empty) 

 -- Tim Peeters <tim.peeters@canonical.com>  Fri, 05 Apr 2013 15:12:25 +0200

ubuntu-ui-toolkit (0.1.39) quantal; urgency=low

  * New Icon component that displays icons from the icon theme.
  * Added libqt5svg5 as a dependency thus allowing use of SVGs in icon themes.
  * Fix bug in list items. 

 -- Florian Boucault <florian.boucault@canonical.com>  Mon, 01 Apr 2013 10:03:49 -0300

ubuntu-ui-toolkit (0.1.38) raring; urgency=low

  * Drop ubuntu-sdk package; now generated from sdk ubuntu-touch seed in
    ubuntu-touch-meta package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 21 Mar 2013 03:07:40 +0100

ubuntu-ui-toolkit (0.1.37) raring; urgency=low

  * Compatibility Breaks
    - Page, PageStack and Tabs automatically determine their anchors and height
      inside a MainView, so there is no need to set them explicitly.
    - It is now recommended to always use Pages inside Tabs or PageStack.
      Non-Page items can still be used, but their margins will not automatically
      be set-up to align with the header of the MainView.
  * API Changes (LP: #1157191)
    - Property tools was deprecated for MainView, Tabs and PageStack. Pages now automatically
      update MainView.toolbar.tools when they become active.
    - Property page of Tab can no longer be a URL, but must be an Item (Page recommended).
      Use a Loader if you were using a URL first.

 -- Tim Peeters <tim.peeters@canonical.com>  Wed, 20 Mar 2013 19:15:08 +0100

ubuntu-ui-toolkit (0.1.36.2-0ubuntu2) raring; urgency=low

  * debian/control
    - libqt5v8-5-dev only supports amd64, i386 and armhf so setting
      Architecture to just those

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 20 Mar 2013 12:44:41 -0400

ubuntu-ui-toolkit (0.1.36.2-0ubuntu1) raring; urgency=low

  * New snapshot release (LP: #1157191)
  * Add more recommended packages
  * Co-exist better with PPAs

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 13 Mar 2013 11:21:06 +0200

ubuntu-ui-toolkit (0.1.36.1-0ubuntu1) raring; urgency=low

  * debian/control:
    - drop qtpim5-dev dep on the metapackage, not supported upstream and not
      in distro

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Feb 2013 10:19:43 +0100

ubuntu-ui-toolkit (0.1.36-0ubuntu1) raring; urgency=low

  * Initial release 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 26 Feb 2013 09:52:05 +0200

=== debian/control ===
Source: ubuntu-ui-toolkit
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               libgles2-mesa-dev,
               libglib2.0-dev,
               libqt5graphicaleffects5,
               qt5-default,
               qtbase5-dev,
               qtbase5-private-dev,
               libqt5v8-5-private-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev-tools,
               qtdeclarative5-private-dev,
               qtdeclarative5-qtquick2-plugin,
               qtdeclarative5-test-plugin,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/ubuntu-ui-toolkit
# If you aren't a member of ~ubuntu-sdk-team but need to upload packaging 
# changes, just go ahead. ~ubuntu-sdk-team will notice and sync up the code 
# again.
Vcs-Bzr: https://code.launchpad.net/~ubuntu-sdk-team/ubuntu-ui-toolkit/trunk

Package: qtdeclarative5-ubuntu-ui-toolkit-plugin
Architecture: amd64 i386 armhf
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5graphicaleffects5,
         libqt5svg5,
         qtdeclarative5-qtquick2-plugin,
         ubuntu-ui-toolkit-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-ubuntu
Replaces: qt-components-ubuntu
Provides: qt-components-ubuntu
Description: Qt Components for Ubuntu - QML plugin
 Qt Components for Ubuntu offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Ubuntu Components QML plugin.

Package: ubuntu-ui-toolkit-theme
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: qt-components-ubuntu
Description: Qt Components for Ubuntu - Ubuntu Theme
 Qt Components for Ubuntu offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Ambiance theme for Qt Ubuntu Components.

Package: ubuntu-ui-toolkit-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-ubuntu-doc
Replaces: qt-components-ubuntu-doc
Provides: qt-components-ubuntu-doc
Description: Qt Components for Ubuntu - documentation
 Qt Components for Ubuntu offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains developer documentation.

Package: ubuntu-ui-toolkit-examples
Section: devel
Architecture: amd64 i386 armhf
Depends: qmlscene,
         qtdeclarative5-ubuntu-ui-toolkit-plugin,
         ubuntu-ui-toolkit-theme,
         qtdeclarative5-qtmultimedia-plugin | libqt5declarative5-qtmultimedia-plugin,
         qtdeclarative5-xmllistmodel-plugin,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: qt-components-ubuntu-examples, qt-components-ubuntu-demos
Replaces: qt-components-ubuntu-examples, qt-components-ubuntu-demos
Provides: qt-components-ubuntu-examples, qt-components-ubuntu-demos
Description: Qt Components for Ubuntu - demos and examples
 Qt Components for Ubuntu offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the component demos and example applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --fail-missing

override_dh_install:
	rm -rf debian/tmp/usr/share/locale
	dh_install --fail-missing
